GNU bug report logs - #34971
[PATCH] gnu: Add mako.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Meiyo Peng <meiyo@HIDDEN>; Keywords: patch; dated Sun, 24 Mar 2019 06:23:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 34971 <at> debbugs.gnu.org:


Received: (at 34971) by debbugs.gnu.org; 23 May 2019 11:25:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 23 07:25:52 2019
Received: from localhost ([127.0.0.1]:43980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hTlr5-000523-Lg
	for submit <at> debbugs.gnu.org; Thu, 23 May 2019 07:25:52 -0400
Received: from mx1.riseup.net ([198.252.153.129]:47626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meiyo@HIDDEN>) id 1hTlr3-00051s-1t
 for 34971 <at> debbugs.gnu.org; Thu, 23 May 2019 07:25:50 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 1EA3B1A3032;
 Thu, 23 May 2019 04:25:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1558610748; bh=I9ZdWBuRQ7ttIikCwggwSrmZJQLo3tTE7dcXaBgxZu8=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=j2YPeewysDs8Z+5QTBU2Z2iFpZZhEPiPR1NmINkc2k0S3Ae3tbU/708ERh/p69nyC
 h+0ADBIEQoWTakaP889rjZIg3+pV/MR3kMP/gnyoWXAWYGRB4Kx5sna7ImcOJVx2nt
 khwBDhZgWEAQUTRgbje158HHM4T7p9Kb/BSW/GIo=
X-Riseup-User-ID: D810D17A7363748E47686276D60C1EFB3670B8A3BBC73C9A1FA96BA64D9657C1
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id A7B95120A83;
 Thu, 23 May 2019 04:25:46 -0700 (PDT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 33e00421;
 Thu, 23 May 2019 11:24:28 +0000 (UTC)
References: <20190324060845.7921-1-meiyo@HIDDEN>
 <87o960dbdk.fsf@HIDDEN> <871s2vxmpf.fsf@HIDDEN>
 <87bm1y9apy.fsf@HIDDEN> <87k1gbrs9u.fsf@HIDDEN>
 <87r2aauu56.fsf@HIDDEN> <87sgupa9aj.fsf@HIDDEN> <87zhnfzws4.fsf@HIDDEN>
From: Meiyo Peng <meiyo@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#34971] [PATCH] gnu: Add mako.
In-reply-to: <87zhnfzws4.fsf@HIDDEN>
Date: Thu, 23 May 2019 19:24:27 +0800
Message-ID: <87o93ttnv8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34971
Cc: 34971 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Ludovic,

Ludovic Court=C3=A8s writes:

> Did you make any progress on this front?

I have discussed with the author of mako.  He agreed to add a D-Bus
service file for mako.  That will solve this issue here.  I have tested
it on my computer.  The D-Bus service file will cause mako to be
automatically started when needed.  mako will work out of the box after
installation.  No user action is required.

Link:
1. https://github.com/emersion/mako/issues/155
2. https://github.com/emersion/mako/pull/156

When that pull request is merged, I will send a new package definition
for mako.

> Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:
>
>> Hi,
>>
>> Meiyo Peng <meiyo@HIDDEN> skribis:
>>
>>> I get this output from `strace mako`:
>>>
>>> #+begin_example
>>>   ...
>>>   socket(AF_UNIX, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) =3D 3
>>>   getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) =3D 0
>>>   setsockopt(3, SOL_SOCKET, SO_RCVBUF, [8388608], 4) =3D 0
>>>   getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) =3D 0
>>>   setsockopt(3, SOL_SOCKET, SO_SNDBUF, [8388608], 4) =3D 0
>>>   connect(3, {sa_family=3DAF_UNIX, sun_path=3D"/run/user/1000/bus"}, 21=
) =3D -1 ENOENT (No such file or directory)
>>
>> So I=E2=80=99m a bit at loss but what I can say is that /run/user/UID/bus
>> doesn=E2=80=99t seem to exist in practice.
>>
>> For example, if I strace =E2=80=9Cdbus-monitor --session=E2=80=9D, I see=
 this:
>>
>>   connect(3, {sa_family=3DAF_UNIX, sun_path=3D@"/tmp/dbus-ktJE8=E2=80=A6=
"}, 23) =3D 0
>>
>> I have no idea where this file name comes from but it seems to be
>> deterministic.
>>
>> So=E2=80=A6 more investigation needed!
>>
>> Ludo=E2=80=99.


--
Meiyo Peng
https://www.pengmeiyu.com/




Information forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.

Message received at 34971 <at> debbugs.gnu.org:


Received: (at 34971) by debbugs.gnu.org; 21 May 2019 14:51:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 21 10:51:00 2019
Received: from localhost ([127.0.0.1]:40547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hT66W-0005xN-5E
	for submit <at> debbugs.gnu.org; Tue, 21 May 2019 10:51:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34397)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hT66V-0005xA-9F
 for 34971 <at> debbugs.gnu.org; Tue, 21 May 2019 10:50:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47137)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hT66P-00078F-Tp; Tue, 21 May 2019 10:50:54 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=40408 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hT66P-0005ix-F0; Tue, 21 May 2019 10:50:53 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Meiyo Peng <meiyo@HIDDEN>
Subject: Re: [bug#34971] [PATCH] gnu: Add mako.
References: <20190324060845.7921-1-meiyo@HIDDEN>
 <87o960dbdk.fsf@HIDDEN> <871s2vxmpf.fsf@HIDDEN>
 <87bm1y9apy.fsf@HIDDEN> <87k1gbrs9u.fsf@HIDDEN>
 <87r2aauu56.fsf@HIDDEN> <87sgupa9aj.fsf@HIDDEN>
Date: Tue, 21 May 2019 16:50:51 +0200
In-Reply-To: <87sgupa9aj.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Wed, 10 Apr 2019 22:35:00 +0200")
Message-ID: <87zhnfzws4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34971
Cc: 34971 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Meiyo,

Did you make any progress on this front?

Thanks,
Ludo=E2=80=99.

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> Hi,
>
> Meiyo Peng <meiyo@HIDDEN> skribis:
>
>> I get this output from `strace mako`:
>>
>> #+begin_example
>>   ...
>>   socket(AF_UNIX, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) =3D 3
>>   getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) =3D 0
>>   setsockopt(3, SOL_SOCKET, SO_RCVBUF, [8388608], 4) =3D 0
>>   getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) =3D 0
>>   setsockopt(3, SOL_SOCKET, SO_SNDBUF, [8388608], 4) =3D 0
>>   connect(3, {sa_family=3DAF_UNIX, sun_path=3D"/run/user/1000/bus"}, 21)=
 =3D -1 ENOENT (No such file or directory)
>
> So I=E2=80=99m a bit at loss but what I can say is that /run/user/UID/bus
> doesn=E2=80=99t seem to exist in practice.
>
> For example, if I strace =E2=80=9Cdbus-monitor --session=E2=80=9D, I see =
this:
>
>   connect(3, {sa_family=3DAF_UNIX, sun_path=3D@"/tmp/dbus-ktJE8=E2=80=A6"=
}, 23) =3D 0
>
> I have no idea where this file name comes from but it seems to be
> deterministic.
>
> So=E2=80=A6 more investigation needed!
>
> Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.

Message received at 34971 <at> debbugs.gnu.org:


Received: (at 34971) by debbugs.gnu.org; 23 Apr 2019 12:14:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 23 08:14:58 2019
Received: from localhost ([127.0.0.1]:52644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIuK9-0005M9-Sf
	for submit <at> debbugs.gnu.org; Tue, 23 Apr 2019 08:14:58 -0400
Received: from mail-ot1-f65.google.com ([209.85.210.65]:43498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefanx2ovic@HIDDEN>) id 1hIuK8-0005Lw-M5
 for 34971 <at> debbugs.gnu.org; Tue, 23 Apr 2019 08:14:57 -0400
Received: by mail-ot1-f65.google.com with SMTP id u15so12542062otq.10
 for <34971 <at> debbugs.gnu.org>; Tue, 23 Apr 2019 05:14:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to:cc;
 bh=Gy29nxXDMoF7INO6/dktuaNdKTJt4g6jjHav8VpPHFc=;
 b=qk/cLRMJptEF803Lv25S0f61S1clBxfuIbB14j5A6/C6dEkCmLUzX6+HKQbJx29d+d
 9GRz0xMtRD1c/2i1gQ/DPEaJnO9g2AENVOTDhnGDSj25nv2FqYUEtqEmSI21YU8pCCQG
 m+b64Z/rCG7JkJ8b36KyN62/8uVN3aoKT6GW1FFhCC9zfGHO21wEIlmcQMC9X4n/DfDR
 LkZenv0pkQ0kThkIxw43Hns2BAQxUM5vfFmGyeXxabaLEJ5Db0lLrNc1PDNHoDoeK9d1
 oOsSurruPcchDtBzC7Q4xM1tdCDu+PBdq03zhWGR7HvrVMtkNAKXhRFb8j0Y9h3k3YMW
 dbRg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=Gy29nxXDMoF7INO6/dktuaNdKTJt4g6jjHav8VpPHFc=;
 b=TLHXWW4Ze5IOEefl4JfoQHzPsP9bdWNo8KMQ3c/921A/vgCW/7ZHWyvetQ54UIt0mP
 vCj2BWm7ItaV0Q83115bQjp+AmyCxoQDpIAga9GnlEp4Gi1cowqqVktTBSE9Nud2ly7f
 qcZ8HO7PKZ44coHpCstIGJjrSq/UmVpssXFdFGczjtRB9aKIqFYTZRDkUokkaS0lN0qt
 i5ZrrItQxVs7SU9WaxCzwjAUm1KexxLpnae9w24mGkqbZKD7f9Suex55dqcH4X/nWSJ1
 X5R/bycWkArn65EyitRXuLiW5gOLZFOoL5H8c39eoTgVtUZ70zoU0DBZ6DhxvT0PlFz0
 PwQQ==
X-Gm-Message-State: APjAAAU8cMYr/X8r2FlvQwZHg1P4H22BY6VUQa/VBiB29zp9i94lg69e
 MBiD1SpUQwFRnPlbczWBKoxjKE+/SbPcoS6PUH2vydT4
X-Google-Smtp-Source: APXvYqwwuM0U5K2UQrxQ3Wb7cOSNjOlE9KqZwVzievbtgc6CpGCoCMwZQ5denwZLOuWa1bZdHOyMlMsZpiHegIg6ywM=
X-Received: by 2002:a9d:7cd2:: with SMTP id r18mr14612800otn.87.1556021689577; 
 Tue, 23 Apr 2019 05:14:49 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a4a:a849:0:0:0:0:0 with HTTP; Tue, 23 Apr 2019 05:14:48
 -0700 (PDT)
From: =?UTF-8?Q?Stefan_Stefanovi=C4=87?= <stefanx2ovic@HIDDEN>
Date: Tue, 23 Apr 2019 12:14:48 +0000
Message-ID: <CAFBTj=jT3+T86rRuD2qQ2=qSiR8YN-K7scLq6Fno9Eb8QD2X=w@HIDDEN>
Subject: Re: [bug#34971] [PATCH] gnu: Add mako.
To: 34971 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34971
Cc: Ricardo Wurmus <rekado@HIDDEN>,
 =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>, Meiyo Peng <meiyo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello.

AFAIK mako relies on elogind to access user DBus session daemon.

elogind relies on environment variable DBUS_SESSION_BUS_ADDRESS.
In my case DBUS_SESSION_BUS_ADDRESS is set to
"unix:path=/run/user/1000/dbus-1/session_bus_socket".

DBUS_SESSION_BUS_ADDRESS is created by user session manager.
In my case it is set in a shell script by executing:
echo "Starting user DBus session daemon."
dbus-daemon \
  --syslog --fork \
  --address="${DBUS_SESSION_BUS_ADDRESS}" \
  --print-pid --session

This is not perfect solution but it works, for now.

Please take a look at relevant elogind issue:
https://github.com/elogind/elogind/issues/87

Stefan.




Information forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.

Message received at 34971 <at> debbugs.gnu.org:


Received: (at 34971) by debbugs.gnu.org; 10 Apr 2019 20:35:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 10 16:35:13 2019
Received: from localhost ([127.0.0.1]:53560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEJw9-0002HM-F1
	for submit <at> debbugs.gnu.org; Wed, 10 Apr 2019 16:35:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hEJw7-0002H8-JB
 for 34971 <at> debbugs.gnu.org; Wed, 10 Apr 2019 16:35:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41298)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hEJw1-0003Bs-VP; Wed, 10 Apr 2019 16:35:06 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=55212 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hEJw0-0007Hr-Aa; Wed, 10 Apr 2019 16:35:05 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Meiyo Peng <meiyo@HIDDEN>
Subject: Re: [bug#34971] [PATCH] gnu: Add mako.
References: <20190324060845.7921-1-meiyo@HIDDEN>
 <87o960dbdk.fsf@HIDDEN> <871s2vxmpf.fsf@HIDDEN>
 <87bm1y9apy.fsf@HIDDEN> <87k1gbrs9u.fsf@HIDDEN>
 <87r2aauu56.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 21 Germinal an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 10 Apr 2019 22:35:00 +0200
In-Reply-To: <87r2aauu56.fsf@HIDDEN> (Meiyo Peng's message of "Wed, 10 Apr
 2019 16:44:21 +0800")
Message-ID: <87sgupa9aj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34971
Cc: 34971 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Meiyo Peng <meiyo@HIDDEN> skribis:

> I get this output from `strace mako`:
>
> #+begin_example
>   ...
>   socket(AF_UNIX, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) =3D 3
>   getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) =3D 0
>   setsockopt(3, SOL_SOCKET, SO_RCVBUF, [8388608], 4) =3D 0
>   getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) =3D 0
>   setsockopt(3, SOL_SOCKET, SO_SNDBUF, [8388608], 4) =3D 0
>   connect(3, {sa_family=3DAF_UNIX, sun_path=3D"/run/user/1000/bus"}, 21) =
=3D -1 ENOENT (No such file or directory)

So I=E2=80=99m a bit at loss but what I can say is that /run/user/UID/bus
doesn=E2=80=99t seem to exist in practice.

For example, if I strace =E2=80=9Cdbus-monitor --session=E2=80=9D, I see th=
is:

  connect(3, {sa_family=3DAF_UNIX, sun_path=3D@"/tmp/dbus-ktJE8=E2=80=A6"},=
 23) =3D 0

I have no idea where this file name comes from but it seems to be
deterministic.

So=E2=80=A6 more investigation needed!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.

Message received at 34971 <at> debbugs.gnu.org:


Received: (at 34971) by debbugs.gnu.org; 10 Apr 2019 08:44:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 10 04:44:32 2019
Received: from localhost ([127.0.0.1]:52389 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hE8qN-0003Rw-TQ
	for submit <at> debbugs.gnu.org; Wed, 10 Apr 2019 04:44:32 -0400
Received: from mx1.riseup.net ([198.252.153.129]:48938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meiyo@HIDDEN>) id 1hE8qL-0003Rn-2i
 for 34971 <at> debbugs.gnu.org; Wed, 10 Apr 2019 04:44:30 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id B71881B7724;
 Wed, 10 Apr 2019 01:44:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1554885867; bh=E9yeL19BXOadLQcvXbPQhWAwoUGpQbOAmFCY6WekNB4=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=fwsC65zGvALXVHYCp01mCVKalXs6zm1l8KG6JKImDGCEpBmSnJJipLpuKCR5p2l/G
 /7sLZwHDH46qos2tk7heVS3JXYPc1lzgCUCmq2y8LHTWn9N2jg3ieb+FgNwDb1mAIo
 NVa4E5mTCvcXfP/RM0Wk26h1tLTKutmttBH0QKOg=
X-Riseup-User-ID: 2B135232516673C3F5C8663727FF93A1244FC72F33E52C273447169C28828C60
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id AD7802240A4;
 Wed, 10 Apr 2019 01:44:26 -0700 (PDT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id be4fc484;
 Wed, 10 Apr 2019 08:44:21 +0000 (UTC)
References: <20190324060845.7921-1-meiyo@HIDDEN>
 <87o960dbdk.fsf@HIDDEN> <871s2vxmpf.fsf@HIDDEN>
 <87bm1y9apy.fsf@HIDDEN> <87k1gbrs9u.fsf@HIDDEN>
From: Meiyo Peng <meiyo@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#34971] [PATCH] gnu: Add mako.
In-reply-to: <87k1gbrs9u.fsf@HIDDEN>
Date: Wed, 10 Apr 2019 16:44:21 +0800
Message-ID: <87r2aauu56.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34971
Cc: 34971 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Ludovic,

Ludovic Court=C3=A8s writes:

> Meiyo Peng <meiyo@HIDDEN> skribis:
>
>> Ludovic Court=C3=A8s writes:
>>
>>> Meiyo Peng <meiyo@HIDDEN> skribis:
>>>
>>>> If you have trouble running mako and mako gives you an error message
>>>> like:
>>>>
>>>> #+begin_example
>>>>   Failed to connect to user bus: No such file or directory
>>>> #+end_example
>>>
>>> I would expect Mako to automatically spawn the D-Bus user bus if it=E2=
=80=99s
>>> not already needed, no?  We don=E2=80=99t need to do anything special w=
ith other
>>> D-Bus applications AFAIK.
>>
>> Yeah.  I expect that too.  I am not sure why mako is so special.  mako
>> uses the sd-bus library of systemd/elogind instead of libdbus.  Do you
>> think that could be the cause?
>
> Could you check with =E2=80=98strace=E2=80=99 whether it tries to connect=
 to
> /run/dbus/system_bus_socket instead of /var/run/dbus/system_bus_socket?

I get this output from `strace mako`:

#+begin_example
  ...
  socket(AF_UNIX, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) =3D 3
  getsockopt(3, SOL_SOCKET, SO_RCVBUF, [212992], [4]) =3D 0
  setsockopt(3, SOL_SOCKET, SO_RCVBUF, [8388608], 4) =3D 0
  getsockopt(3, SOL_SOCKET, SO_SNDBUF, [212992], [4]) =3D 0
  setsockopt(3, SOL_SOCKET, SO_SNDBUF, [8388608], 4) =3D 0
  connect(3, {sa_family=3DAF_UNIX, sun_path=3D"/run/user/1000/bus"}, 21) =
=3D -1 ENOENT (No such file or directory)
  close(3)                                =3D 0
  write(2, "Failed to connect to user bus: N"..., 57Failed to connect to us=
er bus: No such file or directory
  ) =3D 57
  exit_group(1)                           =3D ?
  +++ exited with 1 +++
#+end_example

It tries to connect to /run/user/1000/bus.

And that error message is from
https://github.com/emersion/mako/blob/master/dbus/dbus.c:

#+begin_src c
  ret =3D sd_bus_open_user(&state->bus);
  if (ret < 0) {
      fprintf(stderr, "Failed to connect to user bus: %s\n", strerror(-ret)=
);
      goto error;
  }
#+end_src

--
Meiyo Peng
https://www.pengmeiyu.com/




Information forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.

Message received at 34971 <at> debbugs.gnu.org:


Received: (at 34971) by debbugs.gnu.org; 3 Apr 2019 16:02:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 03 12:02:50 2019
Received: from localhost ([127.0.0.1]:43117 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hBiLi-0001n2-Jn
	for submit <at> debbugs.gnu.org; Wed, 03 Apr 2019 12:02:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hBiLh-0001mq-6r
 for 34971 <at> debbugs.gnu.org; Wed, 03 Apr 2019 12:02:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56472)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hBiLZ-00065q-Nh; Wed, 03 Apr 2019 12:02:41 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=33892 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hBiLY-0003vU-UB; Wed, 03 Apr 2019 12:02:41 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Meiyo Peng <meiyo@HIDDEN>
Subject: Re: [bug#34971] [PATCH] gnu: Add mako.
References: <20190324060845.7921-1-meiyo@HIDDEN>
 <87o960dbdk.fsf@HIDDEN> <871s2vxmpf.fsf@HIDDEN>
 <87bm1y9apy.fsf@HIDDEN>
Date: Wed, 03 Apr 2019 18:02:37 +0200
In-Reply-To: <87bm1y9apy.fsf@HIDDEN> (Meiyo Peng's message of "Tue, 26 Mar
 2019 00:31:53 +0800")
Message-ID: <87k1gbrs9u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34971
Cc: 34971 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Meiyo,

Meiyo Peng <meiyo@HIDDEN> skribis:

> Ludovic Court=C3=A8s writes:
>
>> Meiyo Peng <meiyo@HIDDEN> skribis:
>>
>>> If you have trouble running mako and mako gives you an error message
>>> like:
>>>
>>> #+begin_example
>>>   Failed to connect to user bus: No such file or directory
>>> #+end_example
>>
>> I would expect Mako to automatically spawn the D-Bus user bus if it=E2=
=80=99s
>> not already needed, no?  We don=E2=80=99t need to do anything special wi=
th other
>> D-Bus applications AFAIK.
>
> Yeah.  I expect that too.  I am not sure why mako is so special.  mako
> uses the sd-bus library of systemd/elogind instead of libdbus.  Do you
> think that could be the cause?

Could you check with =E2=80=98strace=E2=80=99 whether it tries to connect to
/run/dbus/system_bus_socket instead of /var/run/dbus/system_bus_socket?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.

Message received at 34971 <at> debbugs.gnu.org:


Received: (at 34971) by debbugs.gnu.org; 25 Mar 2019 21:24:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 17:24:37 2019
Received: from localhost ([127.0.0.1]:58734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h8X58-0002V0-W0
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2019 17:24:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1h8X57-0002Up-Nz
 for 34971 <at> debbugs.gnu.org; Mon, 25 Mar 2019 17:24:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43283)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1h8X52-0006Ii-6L; Mon, 25 Mar 2019 17:24:28 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=54810 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1h8X51-0003ys-MC; Mon, 25 Mar 2019 17:24:28 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#34971] [PATCH] gnu: Add mako.
References: <20190324060845.7921-1-meiyo@HIDDEN>
 <87o960dbdk.fsf@HIDDEN> <871s2vxmpf.fsf@HIDDEN>
 <87h8br58fe.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 5 Germinal an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 25 Mar 2019 22:24:25 +0100
In-Reply-To: <87h8br58fe.fsf@HIDDEN> (Ricardo Wurmus's message of "Mon,
 25 Mar 2019 15:35:01 +0100")
Message-ID: <87h8bqve9i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34971
Cc: 34971 <at> debbugs.gnu.org, Meiyo Peng <meiyo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ricardo Wurmus <rekado@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> Hello,
>>
>> Meiyo Peng <meiyo@HIDDEN> skribis:
>>
>>> If you have trouble running mako and mako gives you an error message
>>> like:
>>>
>>> #+begin_example
>>>   Failed to connect to user bus: No such file or directory
>>> #+end_example
>>
>> I would expect Mako to automatically spawn the D-Bus user bus if it=E2=
=80=99s
>> not already needed, no?  We don=E2=80=99t need to do anything special wi=
th other
>> D-Bus applications AFAIK.
>
> When the desktop environment has a D-Bus session daemon, this should
> just work.  I suppose using dbus-lauch is necessary in cases where a
> minimalist desktop environment is used that does not take steps to
> launch/configure the D-Bus daemon.

I thought along these lines, but then I use Ratpoison and D-Bus programs
=E2=80=9Cjust work=E2=80=9D for me.  There=E2=80=99s no DBUS_SESSION_BUS_wh=
atever environment
variable set for me.  I=E2=80=99m curious!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.

Message received at 34971 <at> debbugs.gnu.org:


Received: (at 34971) by debbugs.gnu.org; 25 Mar 2019 16:32:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 12:32:03 2019
Received: from localhost ([127.0.0.1]:58566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h8SW3-0003Kr-54
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2019 12:32:03 -0400
Received: from mx1.riseup.net ([198.252.153.129]:59924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meiyo@HIDDEN>) id 1h8SW1-0003KS-Ir
 for 34971 <at> debbugs.gnu.org; Mon, 25 Mar 2019 12:32:02 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id A75521B8494;
 Mon, 25 Mar 2019 09:32:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1553531520; bh=SavPRWoQj4a5qy0wXcFzOKhHLiQhwbrFSTQU0kCk8ac=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=ljziWR5ZLqTV1pyTkm8GVt24/zTKLfnOF7BMz5v9r5MuDpopkyZdqqEsc1iQhm2Bx
 NsFyzyumS1m3PloCbkWTZ3qosNexWx8noNCssQKbFLVenjlU9vvtZY2bAw/P+f5uOn
 KicColNg5C5H6f2IxyJmnlWVW7UBXZGWDRrLrXxo=
X-Riseup-User-ID: 6AE4E2427D38AD93DB4EFFD072CC51FCF2373AA9384CE29308089D18CCE3280D
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 99A12120B15;
 Mon, 25 Mar 2019 09:31:59 -0700 (PDT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 44c344df;
 Mon, 25 Mar 2019 16:31:53 +0000 (UTC)
References: <20190324060845.7921-1-meiyo@HIDDEN>
 <87o960dbdk.fsf@HIDDEN> <871s2vxmpf.fsf@HIDDEN>
From: Meiyo Peng <meiyo@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#34971] [PATCH] gnu: Add mako.
In-reply-to: <871s2vxmpf.fsf@HIDDEN>
Date: Tue, 26 Mar 2019 00:31:53 +0800
Message-ID: <87bm1y9apy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34971
Cc: 34971 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Ludovic,

Ludovic Court=C3=A8s writes:

> Meiyo Peng <meiyo@HIDDEN> skribis:
>
>> If you have trouble running mako and mako gives you an error message
>> like:
>>
>> #+begin_example
>>   Failed to connect to user bus: No such file or directory
>> #+end_example
>
> I would expect Mako to automatically spawn the D-Bus user bus if it=E2=80=
=99s
> not already needed, no?  We don=E2=80=99t need to do anything special wit=
h other
> D-Bus applications AFAIK.

Yeah.  I expect that too.  I am not sure why mako is so special.  mako
uses the sd-bus library of systemd/elogind instead of libdbus.  Do you
think that could be the cause?

I don't know much about D-Bus.  Maybe it's just because of mako's bad
program design.  I used dunst as my notification daemon and dunst did
just works.  dunst provides a D-Bus service file.  I don't even have to
manually start dunst.


--
Meiyo Peng




Information forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.

Message received at 34971 <at> debbugs.gnu.org:


Received: (at 34971) by debbugs.gnu.org; 25 Mar 2019 14:35:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 10:35:39 2019
Received: from localhost ([127.0.0.1]:58513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h8QhP-0000T7-5Q
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2019 10:35:39 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1h8QhM-0000Sv-Ni
 for 34971 <at> debbugs.gnu.org; Mon, 25 Mar 2019 10:35:37 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1553524507; cv=none; d=zoho.com; s=zohoarc; 
 b=b5TQo4S4T+YSDXEtctflrFKFofRsc/ZOndFAjyu4K/itXPfTCGQG+e9HI3DXwXtSdqOrxoUo4QmUVjaXaSIZoka4EAv9k2/4mV71urf/8Vls/rT3h7aJ4kb29xIvEY81t+7T2VjH3o3+ml7wPzxXwBFZ/EoGTY3dmwK+tNJuw4I=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1553524507;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=Rum5SaTsg4n3yrzqCLXVRl1xfTS3c9i8AyzdwYl3Lqo=; 
 b=hRtYyGv64KMRQpGPYGaoqjKzXKhsdu3B+EAIPxApf5bdsAruKrEzBQEKv7pzyjLoIYsOhI+Si2RVwEAMy3k3RwOByMQJVGgHSQ6t29UtF/iiX4wqbbq1TBndQa5R/h+rxuyN+3GClH6Qj9bxe8WebTWSFoo5bbndPDzFtOMd52c=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1553524507; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=830; bh=Rum5SaTsg4n3yrzqCLXVRl1xfTS3c9i8AyzdwYl3Lqo=;
 b=TfbFBo31VRx58zU33e+ttYz4MJ3Ec3LEtzSXqTQtpPLurzEUTsHsFfaLac0eo1Go
 BpyjTONTl/6FZ/0t5A1KCwmZG5riCrqIR/brlKPUpPnlh4+n4Q5s3ebg/4LmVpgJbaZ
 7reQSGXshItmXafQOi/zjBQNtCAYoRfOEBXbFTgE=
Received: from localhost (141.80.247.188 [141.80.247.188]) by mx.zohomail.com
 with SMTPS id 1553524505168328.84775817794105;
 Mon, 25 Mar 2019 07:35:05 -0700 (PDT)
References: <20190324060845.7921-1-meiyo@HIDDEN>
 <87o960dbdk.fsf@HIDDEN> <871s2vxmpf.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#34971] [PATCH] gnu: Add mako.
In-reply-to: <871s2vxmpf.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 25 Mar 2019 15:35:01 +0100
Message-ID: <87h8br58fe.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34971
Cc: 34971 <at> debbugs.gnu.org, Meiyo Peng <meiyo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hello,
>
> Meiyo Peng <meiyo@HIDDEN> skribis:
>
>> If you have trouble running mako and mako gives you an error message
>> like:
>>
>> #+begin_example
>>   Failed to connect to user bus: No such file or directory
>> #+end_example
>
> I would expect Mako to automatically spawn the D-Bus user bus if it=E2=80=
=99s
> not already needed, no?  We don=E2=80=99t need to do anything special wit=
h other
> D-Bus applications AFAIK.

When the desktop environment has a D-Bus session daemon, this should
just work.  I suppose using dbus-lauch is necessary in cases where a
minimalist desktop environment is used that does not take steps to
launch/configure the D-Bus daemon.

In that sense I think mako behaves like any other D-Bus application.

--=20
Ricardo





Information forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.

Message received at 34971 <at> debbugs.gnu.org:


Received: (at 34971) by debbugs.gnu.org; 25 Mar 2019 10:39:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 06:39:17 2019
Received: from localhost ([127.0.0.1]:57581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h8N0f-00015g-8P
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2019 06:39:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1h8N0e-00015V-5i
 for 34971 <at> debbugs.gnu.org; Mon, 25 Mar 2019 06:39:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33308)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1h8N0Y-0001vT-Tl; Mon, 25 Mar 2019 06:39:11 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=49086 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1h8N0Y-0002zv-51; Mon, 25 Mar 2019 06:39:10 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Meiyo Peng <meiyo@HIDDEN>
Subject: Re: [bug#34971] [PATCH] gnu: Add mako.
References: <20190324060845.7921-1-meiyo@HIDDEN>
 <87o960dbdk.fsf@HIDDEN>
Date: Mon, 25 Mar 2019 11:39:08 +0100
In-Reply-To: <87o960dbdk.fsf@HIDDEN> (Meiyo Peng's message of "Sun, 24 Mar
 2019 14:39:35 +0800")
Message-ID: <871s2vxmpf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34971
Cc: 34971 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Meiyo Peng <meiyo@HIDDEN> skribis:

> If you have trouble running mako and mako gives you an error message
> like:
>
> #+begin_example
>   Failed to connect to user bus: No such file or directory
> #+end_example

I would expect Mako to automatically spawn the D-Bus user bus if it=E2=80=
=99s
not already needed, no?  We don=E2=80=99t need to do anything special with =
other
D-Bus applications AFAIK.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.

Message received at 34971 <at> debbugs.gnu.org:


Received: (at 34971) by debbugs.gnu.org; 24 Mar 2019 06:39:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 24 02:39:42 2019
Received: from localhost ([127.0.0.1]:55984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h7wnG-00040t-2l
	for submit <at> debbugs.gnu.org; Sun, 24 Mar 2019 02:39:42 -0400
Received: from mx1.riseup.net ([198.252.153.129]:49688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meiyo@HIDDEN>) id 1h7wnE-00040k-CO
 for 34971 <at> debbugs.gnu.org; Sun, 24 Mar 2019 02:39:40 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 1B1EA1A04CC
 for <34971 <at> debbugs.gnu.org>; Sat, 23 Mar 2019 23:39:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1553409579; bh=V2OvnOsm8yu3WRQ0+oaey0qiYB5SVlODFjDMFVsLTvM=;
 h=References:From:To:Subject:In-reply-to:Date:From;
 b=f/rjrvAe9fYR20CWau8q4/Xufbp/mF9ItqVdrNL8l3kUqxXFP5CNEVwDveO/Kbb0T
 xlamHtN4Qw/Y+iOJ+InMtPmjc/h4CwSkJ/x3jxb+cwQHl81qK9WCvYkDMr/h4vLKV7
 lpGnesoJf+3MrcN4j3cqhpLiPHOcsPN0ty/k4i3Q=
X-Riseup-User-ID: 93C4D6C491A37993D3F8DA10B7D12E37B1014DE99067F29BAEF052313097E329
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 47964222C16
 for <34971 <at> debbugs.gnu.org>; Sat, 23 Mar 2019 23:39:37 -0700 (PDT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 4fac5ddf
 for <34971 <at> debbugs.gnu.org>; Sun, 24 Mar 2019 06:39:35 +0000 (UTC)
References: <20190324060845.7921-1-meiyo@HIDDEN>
From: Meiyo Peng <meiyo@HIDDEN>
To: 34971 <at> debbugs.gnu.org
Subject: Re: [PATCH] gnu: Add mako.
In-reply-to: <20190324060845.7921-1-meiyo@HIDDEN>
Date: Sun, 24 Mar 2019 14:39:35 +0800
Message-ID: <87o960dbdk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34971
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi everyone,

If you have trouble running mako and mako gives you an error message
like:

#+begin_example
  Failed to connect to user bus: No such file or directory
#+end_example

The problem is caused by that $DBUS_SESSION_BUS_ADDRESS is not set in
your GUI session.  You can start mako with this command:

#+begin_src sh
  dbus-launch --autolaunch=$(dbus-uuidgen --get) mako
#+end_src

I run mako with Sway.  And I put this line in Sway config file:

#+begin_src conf
  exec sh -c 'dbus-launch --autolaunch=$(dbus-uuidgen --get) mako'
#+end_src


--
Meiyo Peng
https://www.pengmeiyu.com/




Information forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Mar 2019 06:22:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 24 02:22:20 2019
Received: from localhost ([127.0.0.1]:55979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h7wWS-0003ZU-Fu
	for submit <at> debbugs.gnu.org; Sun, 24 Mar 2019 02:22:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meiyo@HIDDEN>) id 1h7wWQ-0003ZG-HY
 for submit <at> debbugs.gnu.org; Sun, 24 Mar 2019 02:22:19 -0400
Received: from lists.gnu.org ([209.51.188.17]:37207)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <meiyo@HIDDEN>) id 1h7wWL-0007G4-2L
 for submit <at> debbugs.gnu.org; Sun, 24 Mar 2019 02:22:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52232)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <meiyo@HIDDEN>) id 1h7wWJ-0008Bq-Ri
 for guix-patches@HIDDEN; Sun, 24 Mar 2019 02:22:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <meiyo@HIDDEN>) id 1h7wJS-0007QK-Pz
 for guix-patches@HIDDEN; Sun, 24 Mar 2019 02:08:55 -0400
Received: from mx1.riseup.net ([198.252.153.129]:44930)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <meiyo@HIDDEN>) id 1h7wJS-0007Pp-JI
 for guix-patches@HIDDEN; Sun, 24 Mar 2019 02:08:54 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 751FB1A1CD8
 for <guix-patches@HIDDEN>; Sat, 23 Mar 2019 23:08:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1553407733; bh=BX9GzTlsYZb/+25UOCtKJWikDYnkoVRIGpkZqLBbWJI=;
 h=From:To:Cc:Subject:Date:From;
 b=hgShheX3tZzXyrVl80k/w591s/UZgsz7XeD3klOVGpROttZyFIrQnGYS3/kGi1LGZ
 BY2a+ra32QVz3pT+hru+FkhqESq3czYYlxYtHLdzGr2WjgU6Sfbj8t8/t/WBsUR1lT
 Fo4CNnqEXGxKHXu+9dQchF30p+yuLVl74xpwNi2U=
X-Riseup-User-ID: 78EFF633D63D5124D10132588B6784057418C28040C0030435C921D6DEA4159D
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 22FCD120AFE;
 Sat, 23 Mar 2019 23:08:51 -0700 (PDT)
Received: from localhost.localdomain (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id c336e157;
 Sun, 24 Mar 2019 06:08:49 +0000 (UTC)
From: Meiyo Peng <meiyo@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add mako.
Date: Sun, 24 Mar 2019 14:08:45 +0800
Message-Id: <20190324060845.7921-1-meiyo@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: Meiyo Peng <meiyo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

* gnu/packages/wm.scm (mako): New variable.
---
 gnu/packages/wm.scm | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index 0a05ff4ae4..cc7cd56d66 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -17,7 +17,7 @@
 ;;; Copyright =C2=A9 2017 Oleg Pykhalov <go.wigust@HIDDEN>
 ;;; Copyright =C2=A9 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018 Pierre-Antoine Rouby <contact@HIDDEN>
-;;; Copyright =C2=A9 2018 Meiyo Peng <meiyo.peng@HIDDEN>
+;;; Copyright =C2=A9 2018, 2019 Meiyo Peng <meiyo@HIDDEN>
 ;;; Copyright =C2=A9 2019 Rutger Helling <rhelling@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
@@ -1228,3 +1228,32 @@ modules for building a Wayland compositor.")
     (synopsis "Screen locking utility for Wayland compositors")
     (description "Swaylock is a screen locking utility for Wayland compo=
sitors.")
     (license license:expat))) ; MIT license
+
+(define-public mako
+  (package
+    (name "mako")
+    (version "1.2")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/emersion/mako")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "112b7s5bkvwlgsm2kng2vh8mn6wr3a6c7n1arl9adxlghdym449h"))=
))
+    (build-system meson-build-system)
+    (inputs
+     `(("cairo" ,cairo)
+       ("elogind" ,elogind)
+       ("pango" ,pango)
+       ("wayland" ,wayland)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("scdoc" ,scdoc)
+       ("wayland-protocols" ,wayland-protocols)))
+    (home-page "https://github.com/emersion/mako")
+    (synopsis "Lightweight Wayland notification daemon")
+    (description "@code{mako} is a lightweight notification daemon for
+Wayland.")
+    (license license:expat)))
--=20
2.21.0





Acknowledgement sent to Meiyo Peng <meiyo@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34971; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 23 May 2019 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.